QTextIStream(3qt)

NAME
QTextIStream - Convenience class for input streams

SYNOPSIS
All the functions in this class are reentrant when Qt is built with thread support.</p>

#include <qtextstream.h>

Inherits QTextStream.

  Public Members
QTextIStream ( const QString * s )
QTextIStream ( QByteArray ba )
QTextIStream ( FILE * f )

DESCRIPTION
The QTextIStream class is a convenience class for input streams.

This class provides a shorthand for creating simple input QTextStreams without having to pass a mode argument to the constructor.

This class makes it easy, for example, to write things like this:

    QString data = "123 456";
    int a, b;
    QTextIStream(&data) >> a >> b;

See also QTextOStream, Input/Output and Networking, and Text Related Classes.

MEMBER FUNCTION DOCUMENTATION

QTextIStream::QTextIStream ( const QString * s )
Constructs a stream to read from the string s.

QTextIStream::QTextIStream ( QByteArray ba )
Constructs a stream to read from the array ba.

QTextIStream::QTextIStream ( FILE * f )
Constructs a stream to read from the file f.

SEE ALSO
http://doc.trolltech.com/qtextistream.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtextistream.3qt) and the Qt version (3.3.8).